#
# Author:
# Rogério Brito <rbrito@ime.usp.br>
# 
# Date: Sun, 09 Aug 2009 08:31:41 -0300
#
# Description:
# libbrasero-media does not check properly if a null-pointer is returned
# when checking for devices found by libhal. This makes the check stricter.
#
--- a/libbrasero-media/brasero-medium-monitor.c
+++ b/libbrasero-media/brasero-medium-monitor.c
@@ -437,7 +437,10 @@ brasero_medium_monitor_init (BraseroMedi
 	devices = libhal_find_device_by_capability (ctx,
 						    "storage.cdrom", &nb_devices,
 						    &error);
-	if (dbus_error_is_set (&error)) {
+
+	/* if hal is not present, devices *CAN* be NULL (and *does*, sometimes).
+	 *    -- Rogerio Brito <rbrito@ime.usp.br> */
+	if (devices == NULL || dbus_error_is_set (&error)) {
 		BRASERO_MEDIA_LOG ("Hal is not running : %s\n", error.message);
 		dbus_error_free (&error);
 		return;
